	.ENABLE SUBSTITUTION
	DCL SET TERM MCR
	.TESTPARTITION FMSTST
	.PARSE <EXSTRI> "," N B L T
	.IF T EQ "NSP" .GOTO CRE
	; Partition FMSTST already in system !!!
	.GOTO FIN
.CRE:
	; Creating FMSTST partition
	SET /TOP=GEN:-400
	.TESTPARTITION GEN
	.PARSE <EXSTRI> "," N B L T
	.SETN BASE0 0
	.SETO BASE0
	.SETN BASE 'B'+'L'
	SET /MAIN=FMSTST:'BASE':400:COM
.FIN:
	SET /CLI=TI:DCL
